﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using C1.Win.C1FlexGrid;

namespace Prj_CustomizeDefaultFilter
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'c1NWindDataSet.Customers' table. You can move, or remove it, as needed.
            this.customersTableAdapter.Fill(this.c1NWindDataSet.Customers);

            c1FlexGrid1.MouseClick += C1FlexGrid1_MouseClick;
        }

        private void C1FlexGrid1_MouseClick(object sender, MouseEventArgs e)
        {
            if(c1FlexGrid1.HitTest(e.Location).Column == 4)
            {
                if (c1FlexGrid1.HitTest(e.Location).Type == HitTestTypeEnum.FilterIcon)
                {
                    foreach (Form frm in Application.OpenForms)
                    {
                        if (frm.Name == "FilterEditorForm" && frm.GetType().ToString() == "C1.Win.C1FlexGrid.FilterEditorForm")
                        {
                            //Shows Condition Filter on clicking filter icon
                            ToolStrip toolStrip = frm.Controls[0] as ToolStrip;
                            var btnTextValue = toolStrip.Items[3] as ToolStripSplitButton;
                            btnTextValue.PerformButtonClick();
                            //Selects the Equals operator in first condition and the corresponding textbox is focused
                            ComboBox conOperator1 = frm.Controls[1].Controls[0].Controls[1] as ComboBox;
                            conOperator1.SelectedIndex = 1;
                        }
                    }
                }
            }
        }
    }
}